MONGOC_SOCKET_GETSOCKNAME(3)

NAME
mongoc_socket_getsockname - mongoc_socket_getsockname()

SYNOPSIS

        int
        mongoc_socket_getsockname (mongoc_socket_t *sock,
                                   struct sockaddr *addr,
                                   mongoc_socklen_t *addrlen);

PARAMETERS

    •   sock: A mongoc_socket_t.

    •   addr: A struct sockaddr.

    •   addrlen: A mongoc_socklen_t.

DESCRIPTION

Retrieves the socket name for sock. The result is stored in addr. addrlen should be the size of the addr when calling this.

RETURNS

0 if successful, otherwise -1 and errno is set.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc